%define gitdate git.20111216
%define rel 1
Summary:	Akonadi ressource for accessing Google Services
Name:		akonadi-google
Version:	0.3.1
Release:	%mkrel %rel

#git archive --format=tar --prefix=akonadi-google-0.3/ master | xz -9 >akonadi-google-0.3.tar.xz
Source0:        http://www.progdan.cz/wp-content/uploads/%name-%version.tar.gz
License:	GPLv3+
Group:		Graphical desktop/KDE
URL:		http://progdan.cz/category/akonadi-google/
BuildRequires:	pkgconfig(QtCore) >= 4.7.0
BuildRequires:	pkgconfig(QtNetwork)
BuildRequires:	pkgconfig(QtWebKit)
BuildRequires:	pkgconfig(QtDBus)
BuildRequires:	pkgconfig(QtXml)
BuildRequires:	pkgconfig(QtGui)
BuildRequires:	pkgconfig(QJson) >= 0.7.1
BuildRequires:	kdepimlibs4-devel >= 4.6.40
BuildRequires:  boost-devel
BuildRequires:	xsltproc
BuildRequires:	gcc-cpp


%description
An Akonadi Resource for accessing Google services, like Google Calendar and
Google Contacts.


%files 
%_kde_bindir/akonadi_googlecalendar_resource
%_kde_bindir/akonadi_googlecontacts_resource
%_kde_datadir/akonadi/agents/googlecalendarresource.desktop
%_kde_datadir/akonadi/agents/googlecontactsresource.desktop

#--------------------------------------------------------------------

%define libkgoogle_major 0
%define libkgoogle %mklibname kgoogle %{libkgoogle_major}

%package -n %libkgoogle
Summary: Runtime library for %{name}
Group: System/Libraries
%description -n %libkgoogle
Runtime Library for %name

%files -n %libkgoogle
%_kde_libdir/libkgoogle.so.%{libkgoogle_major}*

#----------------------------------------------------------------------

%define libkgoogle_devel %mklibname -d kgoogle

%package -n %libkgoogle_devel
Summary: Devel files for libkgoogle
Group: Development/C++
Provides: kgoogle-devel = %version-%release
Provides: libkgoogle = %version-%release
Requires: %libkgoogle = %version-%release

%description -n %libkgoogle_devel
Devel files for libkgoogle

%files -n %libkgoogle_devel
%_kde_libdir/libkgoogle.so
%_kde_includedir/libkgoogle
%_kde_libdir/pkgconfig/libkgoogle.pc
%_kde_appsdir/cmake/modules/FindLibKGoogle.cmake

#---------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake

%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build



%changelog

* Wed May 02 2012 mikala <mikala> 0.3.1-1.mga2
+ Revision: 234538
- Update tarball to 0.3.1 ( fixing contacts synchronisation & mga #5696)

* Fri Dec 16 2011 mikala <mikala> 0.3-0.git.20111216.1.mga2
+ Revision: 182475
- Update git snapshot (follow 0.3 branch)
- Fix BuildRequires

* Thu Oct 13 2011 mikala <mikala> 0.2-0.git.20111013.1.mga2
+ Revision: 154692
- Update git snapshot
- use kde4 macros
- remove clean section
- fix typo in Summary
- fix files lists

* Wed Oct 12 2011 dlucio <dlucio> 0.2-0.git.20110717.2.mga2
+ Revision: 154131
- Rebuild to see if we void core dumps

  + mikala <mikala>
    - imported package akonadi-google

